ATA_GEN_FIXED_SENSE(9)

NAME
ata_gen_fixed_sense - generate a SCSI fixed sense block

SYNOPSIS

void ata_gen_fixed_sense (struct ata_queued_cmd * qc);

ARGUMENTS

qc  Command that we are erroring out

DESCRIPTION

Leverage ata_to_sense_error to give us the codes. Fit our LBA in here if there's room.

LOCKING

inherited from caller

AUTHOR
Jeff Garzik.